--- old/usr/src/cmd/hwdata/usb.ids	2013-06-23 14:18:31.715406328 +0200
+++ new/usr/src/cmd/hwdata/usb.ids	2013-06-23 14:18:31.728096504 +0200
@@ -9515,8 +9957,10 @@
 	002a  Wireless Optical Mouse NB-30
 	022b  Wireless Mouse (Battery Free)
 	024f  RF Receiver and G6-20D Wireless Optical Mouse
+	0260  KV-300H Isolation Keyboard
 	032b  Wireless Mouse (Battery Free)
 	8090  X-718BK Oscar Optical Gaming Mouse
+	9033  X-718BK Optical Mouse
 	9090  XL-750BK Laser Mouse
 09db  Measurement Computing Corp.
 	0075  MiniLab 1008
@@ -9563,6 +10007,8 @@
 09ff  Gain Technology Corp.
 0a00  Liquid Audio
 0a01  ViA, Inc.
+0a05  Unknown Manufacturer
+	7211  hub
 0a07  Ontrak Control Systems Inc.
 	0064  ADU100 Data Acquisition Interface
 	0078  ADU120 Data Acquisition Interface
@@ -9737,7 +10183,7 @@
 	2100  Bluetooth 2.0+eDR dongle
 	2101  BCM2045 Bluetooth
 	2102  ANYCOM Blue USB-200/250
-	2110  Bluetooth Controller
+	2110  BCM2045B (BDC-2) [Bluetooth Controller]
 	2111  ANYCOM Blue USB-UHE 200/250
 	2120  2045 Bluetooth 2.0 USB-UHE Device with trace filter
 	2121  BCM2210 Bluetooth
@@ -9745,11 +10191,14 @@
 	2123  Bluetooth dongle
 	2130  2045 Bluetooth 2.0 USB-UHE Device with trace filter
 	2131  2045 Bluetooth 2.0 Device with trace filter
-	2145  Bluetooth with Enhanced Data Rate II
+	2145  BCM2045B (BDC-2.1) [Bluetooth Controller]
 	2148  BCM92046DG-CL1ROM Bluetooth 2.1 Adapter
 	2150  BCM2046 Bluetooth Device
 	2151  Bluetooth
-	217f  Bluetooth Controller
+	2154  BCM92046DG-CL1ROM Bluetooth 2.1 UHE Dongle
+	217d  HP Bluethunder
+	217f  BCM2045B (BDC-2.1)
+	2198  Bluetooth 3.0 Device
 	219b  Bluetooth 2.1 Device
 	21b1  HP Bluetooth Module
 	21b4  BCM2070 Bluetooth 2.1 + EDR
@@ -9758,6 +10207,12 @@
 	21bb  BCM2070 Bluetooth 2.1 + EDR
 	21bc  BCM2070 Bluetooth 2.1 + EDR
 	21bd  BCM2070 Bluetooth 2.1 + EDR
+	21d7  BCM43142 Bluetooth 4.0
+	21e1  HP Portable SoftSailing
+	21e3  HP Portable Valentine
+	21e6  BCM20702 Bluetooth 4.0 [ThinkPad]
+	21e8  BCM20702A0 Bluetooth 4.0
+	21f1  HP Portable Bumble Bee
 	22be  BCM2070 Bluetooth 3.0 + HS
 	4500  BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
 	4502  Keyboard (Boot Interface Subclass)
@@ -9769,6 +10224,7 @@
 	6300  Pirelli Remote NDIS Device
 	bd11  TiVo AG0100 802.11bg Wireless Adapter [Broadcom BCM4320]
 	bd13  BCM4323 802.11abgn Wireless Adapter
+	bd17  BCM43236 802.11abgn Wireless Adapter
 	d11b  Eminent EM4045 [Broadcom 4320 USB]
 0a5d  Diatrend Corp.
 0a5f  Zebra
@@ -9794,6 +10250,8 @@
 0a71  VIPColor Technologies USA, Inc.
 	0001  VP485 Printer
 0a72  Sanwa Denshi
+0a73  Mackie Designs
+	0002  XD-2 [Spike]
 0a7d  NSTL, Inc.
 0a7e  Octagon Systems Corp.
 0a80  Rexon Technology Corp., Ltd
@@ -9803,6 +10261,7 @@
 	0203  Mouse
 	0205  PS/2 Keyboard+Mouse Adapter
 	0701  USB Missile Launcher
+	ff01  Wireless Missile Launcher
 0a82  Syscan
 	4600  TravelScan 460/464
 0a83  NextComm, Inc.
@@ -10078,6 +10537,12 @@
 	179f  Eee Note EA800 (tablet mode)
 	17a1  Eee Note EA800 (mass storage mode)
 	17ab  USB-N13 802.11n Network Adapter (rev. B1) [Realtek RTL8192CU]
+	4c80  Transformer Pad TF300TG
+	4c90  Transformer Pad Infinity TF700
+	4c91  Transformer Pad Infinity TF700 (Debug mode)
+	4d00  Transformer Prime TF201
+	4d01  Transformer Prime TF201 (debug mode)
+	4daf  Transformer Pad Infinity TF700 (Fastboot)
 	6101  Cable Modem
 	620a  Remote NDIS Device
 	b700  Broadcom Bluetooth 2.1
@@ -10093,6 +10558,7 @@
 	0000  CenturyCD
 0b0e  GN Netcom
 	1022  Jabra PRO 9450, Type 9400BS (DECT Headset)
+	620c  Jabra BT620s
 0b0f  AVID Technology
 0b10  Pcally
 0b11  I Tech Solutions Co., Ltd
@@ -10196,6 +10662,7 @@
 0b65  Expert Magnetics Corp.
 0b69  CacheVision
 0b6a  Maxim Integrated Products
+	a132  WUP-005 [Nintendo Wii U Pro Controller]
 0b6f  Nagano Japan Radio Co., Ltd
 0b70  PortalPlayer, Inc.
 	00ba  iRiver H10 20GB
@@ -10233,12 +10700,14 @@
 0b88  Sigma Koki Co., Ltd, Technology Center
 0b89  Advanced Digital Broadcast, Ltd
 0b8c  SMART Technologies Inc.
+	0001  Interactive Whiteboard Controller (SB6) (HID)
 	00c3  Sympodium ID350
 0b95  ASIX Electronics Corp.
 	1720  10/100 Ethernet
 	1780  AX88178
 	7720  AX88772
 	772a  AX88772A Fast Ethernet
+	772b  AX88772B
 	7e2b  AX88772B
 0b96  Sewon Telecom
 0b97  O2 Micro, Inc.
@@ -10465,7 +10934,7 @@
 	0ca2  Desire HD (debug mode)
 	0ca5  Android Phone [Evo Shift 4G]
 	0ff8  Desire HD (Tethering Mode)
-	0ff9  Desire / Desire HD / Hero (Charge Mode)
+	0ff9  Desire / Desire HD / Hero / Thunderbolt (Charge Mode)
 	0ffe  Desire HD (modem mode)
 	0fff  Android Fastboot Bootloader
 0bb5  Murata Manufacturing Co., Ltd
@@ -10480,13 +10949,21 @@
 0bc0  Knilink Technology, Inc.
 0bc1  Fuw Yng Electronics Co., Ltd
 0bc2  Seagate RSS LLC
+	0502  ST3300601CB-RK 300 GB External Hard Drive
+	0503  ST3250824A [Barracuda 7200.9]
 	2000  Storage Adapter V3 (TPP)
 	2200  FreeAgent Go FW
 	2300  Expansion Portable
+	2320  USB 3.0 bridge [Portable Expansion Drive]
+	3320  SRD00F2 [Expansion Desktop Drive]
 	3332  Expansion
 	5021  FreeAgent GoFlex USB 2.0
 	5031  FreeAgent GoFlex USB 3.0
+	50a1  FreeAgent GoFlex Desk
 	50a5  FreeAgent GoFlex Desk USB 3.0
+	5121  FreeAgent GoFlex
+	5161  FreeAgent GoFlex dock
+	a003  Backup Plus
 0bc3  IPWireless, Inc.
 	0001  UMTS-TDD (TD-CDMA) modem
 0bc4  Microcube Corp.
@@ -10520,27 +10997,30 @@
 	0106  Mass Storage Device
 	0107  Mass Storage Device
 	0108  Mass Storage Device
-	0111  Card Reader
+	0111  RTS5111 Card Reader Controller
 	0113  Mass Storage Device
 	0115  Mass Storage Device (Multicard Reader)
-	0116  Mass Storage Device
+	0116  RTS5116 Card Reader Controller
 	0117  Mass Storage Device
 	0118  Mass Storage Device
-	0138  Card reader
-	0139  Card reader
+	0119  Storage Device (SD card reader)
+	0129  RTS5129 Card Reader Controller
+	0138  RTS5138 Card Reader Controller
+	0139  RTS5139 Card Reader Controller
 	0151  Mass Storage Device (Multicard Reader)
 	0152  Mass Storage Device
 	0153  Mass Storage Device
 	0156  Mass Storage Device
 	0157  Mass Storage Device
 	0158  USB 2.0 multicard reader
-	0159  Digital Media Card Reader
+	0159  RTS5159 Card Reader Controller
 	0161  Mass Storage Device
 	0168  Mass Storage Device
 	0169  Mass Storage Device
 	0171  Mass Storage Device
 	0176  Mass Storage Device
 	0178  Mass Storage Device
+	0184  RTS5182 Card Reader
 	0186  Card Reader
 	2831  RTL2831U DVB-T
 	2832  RTL2832U DVB-T
@@ -10555,10 +11035,11 @@
 	817f  RTL8188RU 802.11n WLAN Adapter
 	8187  RTL8187 Wireless Adapter
 	8189  RTL8187B Wireless 802.11g 54Mbps Network Adapter
-	8192  RTL8192U 802.11n Wireless Adapter
+	8192  RTL8191SU 802.11n Wireless Adapter
 	8193  RTL8192DU 802.11an WLAN Adapter
 	8197  RTL8187B Wireless Adapter
 	8198  RTL8187B Wireless Adapter
+	8199  RTL8187SU 802.11g WLAN Adapter
 0bdb  Ericsson Business Mobile Networks BV
 	1000  BV Bluetooth Device
 	1002  Bluetooth Device 1.2
@@ -10578,8 +11059,8 @@
 0be4  Elka International, Ltd
 0be5  DOME imaging systems, Inc.
 0be6  Dong Guan Humen Wonderful Wire Cable Factory
-0bed  Silicon Labs
-	1100  MEI (TM) Cashflow-SC Bill/Voucher Acceptor
+0bed  MEI
+	1100  CASHFLOW SC
 	1101  Series 2000 Combo Acceptor
 0bee  LTK Industries, Ltd
 0bef  Way2Call Communications
@@ -10677,12 +11158,15 @@
 	0018  USB-Serial Controller [Icom Inc. OPC-478UC]
 0c27  RFIDeas, Inc
 	3bfa  pcProx Card Reader
-0c2e  Metro
+0c2e  Metrologic Instruments
 	0007  Metrologic MS7120 Barcode Scanner (IBM SurePOS mode)
 	0200  Metrologic Scanner
 	0204  Metrologic MS7120 Barcode Scanner (keyboard mode)
+	0206  Metrologic MS4980 Barcode Scanner
 	0700  Metrologic MS7120 Barcode Scanner (uni-directional serial mode)
 	0720  Metrologic MS7120 Barcode Scanner (bi-directional serial mode)
+	0b61  Vuquest 3310g
+	0b6a  Vuquest 3310 Area-Imaging Scanner
 0c35  Eagletron, Inc.
 0c36  E Ink Corp.
 0c37  e.Digital
@@ -10700,6 +11184,7 @@
 	41d9  i1 phone
 0c45  Microdia
 	0011  EBUDDY
+	1018  Compact Flash storage memory card reader
 	1020  Mass Storage Reader
 	1028  Mass Storage Reader
 	1030  Mass Storage Reader
@@ -10826,8 +11311,10 @@
 	6417  Integrated Webcam
 	641d  1.3 MPixel Integrated Webcam
 	6480  Sonix 1.3 MP Laptop Integrated Webcam
+	648b  Integrated Webcam
 	64bd  Sony Visual Communication Camera
 	7402  TEMPerHUM Temperature & Humidity Sensor
+	7403  Foot Switch
 	8000  DC31VC
 	8006  Dual Mode Camera (8006 VGA)
 	800a  Vivitar Vivicam3350B
@@ -10838,6 +11325,7 @@
 0c4b  Reiner SCT Kartensysteme GmbH
 	0100  cyberJack e-com/pinpad
 	0300  cyberJack pinpad(a)
+	0501  cyberJack RFID comfort dual interface smartcard reader
 	9102  cyberJack RFID basis contactless smartcard reader
 0c4c  Needham's Electronics
 	0021  EMP-21 Universal Programmer
@@ -10913,10 +11401,13 @@
 0c65  Eminence Enterprise Co., Ltd
 0c66  Rexon Electronics Corp.
 0c67  Concept Telecom, Ltd
+0c6a  ACS
+	0005  Color 320 x 240 LCD Display Terminal with Touchscreen
 0c6c  JETI Technische Instrumente GmbH
 	04b2  Specbos 1201
 0c70  MCT Elektronikladen
 	0000  USB08 Development board
+	0747  Eye Movement Recorder [Visagraph]/[ReadAlyzer]
 0c72  PEAK System
 	000c  PCAN-USB
 	000d  PCAN Pro
@@ -10930,6 +11421,7 @@
 	0005  Transcend Flash disk
 	0006  Transcend JetFlash
 	0007  Mass Storage Device
+	1600  Ion Quick Play LP turntable
 	1605  SSS Headphone Set
 	1607  audio controller
 0c77  Sipix Group, Ltd
@@ -11048,6 +11540,7 @@
 	00a5  Cinergy Hybrid Stick
 	00a9  RTL2838 DVB-T COFDM Demodulator [TerraTec Cinergy T Stick Black]
 	00b3  NOXON DAB/DAB+ Stick
+	10a7  TerraTec G3
 0cd4  Bang Olufsen
 	0101  BeolinkPC2
 0cd5  LabJack Corporation
@@ -11084,7 +11577,7 @@
 0ce5  Validation Technologies International
 	0003  Matrix
 0ce9  pico Technology
-	1001  PicoScope3204
+	1001  PicoScope3000 series PC Oscilloscope
 0cf1  e-Conn Electronic Co., Ltd
 0cf2  ENE Technology, Inc.
 	6220  SD Card Reader (SG361)
@@ -11101,10 +11594,11 @@
 	1002  TP-Link TL-WN821N v2 802.11n [Atheros AR9170]
 	1006  TP-Link TL-WN322G v3 / TL-WN422G v2 802.11g [Atheros AR9271]
 	1010  3Com 3CRUSBN275 802.11abgn Wireless Adapter [Atheros AR9170]
-	20ff  Virtual CD-ROM
+	20ff  AR7010 (no firmware)
 	3000  AR3011 Bluetooth (no firmware)
 	3002  AR3011 Bluetooth
 	3005  AR3011 Bluetooth
+	3008  Bluetooth (AR3011)
 	7015  TP-Link TL-WN821N v3 802.11n [Atheros AR7010+AR9287]
 	9170  AR9170 802.11n
 	9271  AR9271 802.11n
@@ -11175,6 +11669,10 @@
 	4000  mIDentity (mass storage)
 	4001  mIDentity Basic/Classic (composite device)
 	4081  mIDentity Basic/Classic (installationless)
+0d48  Promethean Limited
+	0001  ACTIVboard
+	0004  ACTIVboard
+	0100  Audio
 0d49  Maxtor
 	3000  Drive
 	3010  3000LE Drive
@@ -11185,6 +11683,7 @@
 	5020  Mobile Hard Disk Drive
 	7000  OneTouch
 	7010  OneTouch
+	7100  OneTouch II 300GB External Hard Disk
 	7410  Mobile Hard Disk Drive (1TB)
 	7450  Basics Portable USB Device
 0d4a  NF Corp.
@@ -11400,6 +11899,7 @@
 	1967  Bluetooth Dongle
 	3801  Motorola Bluetooth 2.1+EDR Device
 	4011  Medion Flash XL V2.0 Card Reader
+	4023  Lexar Mobile Card Reader
 	4600  802.11b/g Turbo Wireless Adapter
 	5501  Mass Storage Device
 	5502  Mass Storage Device
@@ -11513,6 +12013,10 @@
 0ddd  Datelink Technology Co., Ltd
 0dde  Ubicom, Inc.
 0de0  BD Consumer Healthcare
+0de7  USBmicro
+	0191  U401 Interface card
+	01a5  U421 interface card
+	01c3  U451 relay interface card
 0dea  UTECH Electronic (D.G.) Co., Ltd.
 0ded  Novasonics
 0dee  Lifetime Memory Products
@@ -11594,6 +12098,7 @@
 	f80a  Smoker FX2
 0e16  JMTek, LLC
 0e17  Walex Electronic, Ltd
+0e1a  Unisys
 0e1b  Crewave
 0e20  Pegasus Technologies Ltd.
 	0101  NoteTaker
@@ -11630,7 +12135,10 @@
 	0010  Handyscope HS2
 	0011  TiePieSCOPE HS805 (br)
 	0012  TiePieSCOPE HS805
+	0013  Handyprobe HP3
+	0014  Handyprobe HP3
 	0018  Handyprobe HP2
+	001b  Handyscope HS5
 	0042  TiePieSCOPE HS801
 	00fd  USB To Parallel adapter
 	00fe  USB To Parallel adapter
@@ -11642,6 +12150,7 @@
 0e3b  Mansella, Ltd
 0e41  Line6, Inc.
 	4147  TonePort GX
+	414d  Pod HD500
 	4156  POD HD Desktop
 	4250  BassPODxt
 	4252  BassPODxt Pro
@@ -11706,6 +12215,7 @@
 	1332  5 IMT
 	1416  32 IT
 	1417  A43 IT
+	150e  80 G9
 0e7b  On-Tech Industry Co., Ltd
 0e7e  Gmate, Inc.
 	0001  Yopy 3000 PDA
@@ -11716,7 +12226,10 @@
 0e8d  MediaTek Inc.
 	0003  MT6227 phone
 	0004  MT6227 phone
+	0023  S103
+	1806  Samsung SE-208AB Slim Portable DVD Writer
 	1836  Samsung SE-S084 Super WriteMaster Slim External DVD writer
+	3329  Qstarz BT-Q1000XT
 0e8f  GreenAsia Inc.
 	0003  MaxFire Blaze2
 	0012  USB Wireless 2.4GHz Gamepad
@@ -11763,6 +12276,8 @@
 0eb2  Y-S Electronic Co., Ltd
 0eb3  Saint Technology Corp.
 0eb7  Endor AG
+0eb8  Mettler Toledo
+	f000  PS60 Scale
 0ebe  VWeb Corp.
 0ebf  Omega Technology of Taiwan, Inc.
 0ec0  LHI Technology (China) Co., Ltd
@@ -11815,6 +12330,8 @@
 0ef7  SM Tech Co., Ltd (Tulip)
 0efd  Oasis Semiconductor
 0efe  Wem Technology, Inc.
+0f03  Unitek UPS Systems
+	0001  Alpha 1200Sx
 0f06  Visual Frontier Enterprise Co., Ltd
 0f08  CSL Wire & Plug (Shen Zhen) Co.
 0f0c  CAS Corp.
@@ -11970,13 +12487,21 @@
 	8001  Blackberry Handheld
 	8004  Blackberry Handheld
 	8007  Blackberry Handheld
+	8010  Blackberry Playbook (Connect to Windows mode)
+	8011  Blackberry Playbook (Connect to Mac mode)
+	8020  Blackberry Playbook (CD-Rom mode)
 0fce  Sony Ericsson Mobile Communications AB
 	0076  W910i (Multimedia mode)
 	00af  V640i Phone [PTP Camera]
 	00d4  C902 [MTP]
 	00d9  C702 Phone
 	0112  W995 Walkman Phone
+	015a  Xperia Pro [Media Transfer Protocol]
 	0166  Xperia Mini Pro
+	0169  Xperia S
+	0172  Xperia P
+	0177  Xperia Ion [Mass Storage]
+	0dde  Xperia Mini Pro Bootloader
 	1010  WMC Modem
 	10af  V640i Phone [PictBridge]
 	10d4  C902 Phone [PictBridge]
@@ -11987,8 +12512,13 @@
 	3137  Xperia X10 mini
 	3138  Xperia X10 mini pro
 	3149  Xperia X8
+	5177  Xperia Ion [Debug Mode]
 	614f  Xperia X12 (debug mode)
+	6166  Xperia Mini Pro
+	715a  Xperia Pro [Tethering]
+	7177  Xperia Ion [Tethering]
 	8004  9000 Phone [Mass Storage]
+	adde  Boot loader
 	d008  V800-Vodafone 802SE Phone
 	d016  K750i Phone
 	d017  K608i Phone
@@ -12004,11 +12534,13 @@
 	d065  W960i Phone (PC Suite)
 	d076  W910i (Phone mode)
 	d089  W580i Phone (mass storage)
+	d0a1  K810
 	d0af  V640i Phone
 	d0cf  MD300 Mobile Broadband Modem
 	d0d4  C902 Phone [Modem]
 	d0e1  MD400 Mobile Broadband Modem
 	d12e  Xperia X10
+	e000  K810 (PictBridge mode)
 	e039  K800i (msc mode)
 	e042  W810i Phone
 	e043  V630i Phone [Mass Storage]
@@ -12016,6 +12548,7 @@
 	e076  W910i (Mass storage)
 	e089  W580i Phone
 	e090  W200 Phone (Mass Storage)
+	e0a1  K810 (Mass Storage mode)
 	e0a3  W660i
 	e0af  V640i Phone [Mass Storage]
 	e0d4  C902 Phone [Mass Storage] 
@@ -12026,11 +12559,15 @@
 	e12e  X10i Phone
 	e133  Vivaz
 	e14f  Xperia Arc/X12
+	e15a  Xperia Pro [Mass Storage Class]
 	e161  Xperia Ray
+	e166  Xperia Mini Pro
+	e167  XPERIA mini
 0fcf  Dynastream Innovations, Inc.
 	1003  ANT Development Board
 	1004  ANT2USB
 	1006  ANT Development Board
+	1008  Mini stick Suunto
 0fd0  Tulip Computers B.V.
 0fd1  Giant Electronics Ltd.
 0fd4  Tenovis GmbH & Co., KG
@@ -12044,6 +12581,8 @@
 	002c  EyeTV DTT Deluxe v2
 	0033  Video Capture
 	0037  Video Capture v2
+0fda  Quantec Networks GmbH
+	0100  quanton flight control
 0fdc  Micro Plus
 0fe0  Osterhout Design Group
 	0100  Bluetooth Mouse
@@ -12080,13 +12619,14 @@
 	0100  SD9/SD10
 1004  LG Electronics, Inc.
 	1fae  U8120 3G Cellphone
-	6000  KU330/KU990/VX4400/VX6000
+	6000  Various Mobile Phones
 	6005  T5100
 	6018  GM360/GD510/GW520/KP501
 	618e  Ally/Optimus One/Vortex (debug mode)
 	618f  Ally/Optimus One
 	61c6  Vortex (msc)
 	61cc  Optimus S
+	61fc  Optimus 3
 	6800  CDMA Modem
 	7000  LG LDP-7024D(LD)USB
 	a400  Renoir (KC910)
@@ -12215,15 +12755,16 @@
 1056  Hsin Chen Ent Co., Ltd
 1057  ON Semiconductor
 1058  Western Digital Technologies, Inc.
-	0200  Firewire USB Combo
+	0200  FireWire USB Combo
 	0400  External HDD
 	0500  hub
 	0702  Passport External HDD
 	0704  Passport External HDD
 	070a  My Passport Essential SE
 	071a  My Passport 1TB
-	0740  My Passport 1TB
+	0740  My Passport
 	0742  My Passport Essential SE
+	0748  My Passport 1TB USB 3.0
 	0900  MyBook Essential External HDD
 	0901  MyBook External HDD
 	0903  My Book Premium Edition
@@ -12235,7 +12776,9 @@
 	1023  Elements SE
 	1103  My Book Studio
 	1104  MyBook Mirror Edition External HDD
+	1105  My Book Studio II
 	1123  My Book 3.0
+	1140  My Book Essential USB3.0
 1059  Giesecke & Devrient GmbH
 	000b  StarSign Bio Token 3.0
 105c  Hong Ji Electric Wire & Cable (Dongguan) Co., Ltd
@@ -12289,6 +12832,8 @@
 	3702  Pantech PX-500
 	3714  PANTECH USB MODEM [UM175]
 	3716  UMW190 Modem
+	3721  Option Beemo (GI0801) LTE surfstick
+	3b14  Option Beemo (GI0801) LTE surfstick
 	3eb4  Packet Service Diagnostic Serial Port (WDM)
 	4101  Packet Service Diagnostic Serial Port (WDM)
 	4102  Packet Service
@@ -12387,6 +12932,7 @@
 10c4  Cygnal Integrated Products, Inc.
 	0002  F32x USBXpress Device
 	0003  CommandIR
+	8030  K4JRG Ham Radio devices
 	8044  USB Debug Adapter
 	804e  Software Bisque Paramount ME
 	80a9  CP210x to UART Bridge Controller
@@ -12400,8 +12946,11 @@
 	8460  Sangoma Wanpipe VoiceTime
 	8461  Sangoma U100
 	8477  Balluff RFID Reader
+	8605  dilitronics ESoLUX solar lighting controller
 	86bc  C8051F34x AudioDelay [AD-340]
 	8789  C8051F34x Extender & EDID MGR [EMX-DVI]
+	87be  C8051F34x HDMI Audio Extractor [EMX-HD-AUD]
+	8863  C8051F34x Bootloader
 	ea60  CP210x UART Bridge / myAVR mySmartUSB light
 	ea61  CP210x UART Bridge
 	ea70  CP210x UART Bridge
@@ -12450,6 +12999,7 @@
 10f1  Importek
 	1a08  Internal Webcam
 	1a1e  Laptop Integrated Webcam 1.3M
+	1a2a  Laptop Integrated Webcam
 10f5  Turtle Beach
 	0200  Audio Advantage Roadie
 10fb  Pictos Technologies, Inc.
@@ -12458,6 +13008,8 @@
 	804d  Typhoon Webshot II Webcam [zc0301]
 	8050  FlyCAM-USB 300 XP2
 	de00  WinFast WalkieTV WDM Capture Driver.
+10fe  Thrane & Thrane
+	000c  TT-3750 BGAN-XL Radio Module
 1100  VirTouch, Ltd
 	0001  VTPlayer VTP-1 Braille Mouse
 1101  EasyPass Industrial Co., Ltd
@@ -12499,9 +13051,11 @@
 112f  Cellon International, Inc.
 1130  Tenx Technology, Inc.
 	0002  iBuddy
+	0202  Rocket Launcher
 	6604  MCE IR-Receiver
 	660c  Foot Pedal/Thermometer
 	6806  Keychain photo frame
+	c301  Digital Photo viewer [Wallet Pix]
 	f211  TP6911 Audio Headset
 1131  Integrated System Solution Corp.
 	1001  KY-BT100 Bluetooth Adapter
@@ -12595,6 +13149,7 @@
 	6832  MC8780 Device
 	6833  MC8781 Device
 	683a  MC8785 Device
+	683c  MC8790 Device
 	6850  AirCard 880 Device
 	6851  AirCard 881 Device
 	6852  AirCard 880E Device
@@ -12605,6 +13160,7 @@
 	6871  MC8781 Device
 	6893  MC8777 Device
 	68a3  MC8700 Modem
+	68aa  4G LTE adapter
 	9000  Gobi 2000 Wireless Modem (QDL mode)
 	9001  Gobi 2000 Wireless Modem
 	9002  Gobi 2000 Wireless Modem
@@ -12627,6 +13183,8 @@
 11aa  GlobalMedia Group, LLC
 	1518  iREZ K2
 11ab  Exito Electronics Co., Ltd
+11ac  Nike
+	6565  FuelBand
 11b0  ATECH FLASH TECHNOLOGY
 11c5  Inmax
 	0521  IMT-0521 Smartcard Reader
@@ -12667,13 +13225,16 @@
 	5677  FUSB200 mp3 player
 1234  Brain Actuated Technologies
 	0000  Neural Impulse Actuator Prototype 1.0 [NIA]
+	4321  Human Interface Device
 	ed02  Emotiv EPOC Developer Headset Wireless Dongle
 1235  Novation EMS
 	0001  ReMOTE Audio/XStation
 	0002  Speedio
 	0003  ReMOTE ZeRO SL
 	4661  ReMOTE25
+	8006  Focusrite Scarlett 2i2
 1241  Belkin
+	0504  Wireless Trackball Keyboard
 	1111  Mouse
 	1122  Typhoon Stream Optical Mouse USB+PS/2
 	1155  PS2/USB Browser Combo Mouse
@@ -12681,6 +13242,7 @@
 	1177  F8E842-DL Mouse
 	1503  Keyboard
 	1603  Keyboard
+	f767  Keyboard
 124a  AirVast
 	168b  PRISM3 WLAN Adapter
 	4017  PC-Chips 802.11b Adapter
@@ -12696,8 +13258,10 @@
 	312a  Superior S102
 	312b  Superior S102 Pro
 	a91a  Portable HDD CH91
+	c08a  C008 Flash Drive
 	c81a  Flash drive
 	c93a  4GB Pen Drive
+	c96a  C906 Flash Drive
 1260  Standard Microsystems Corp.
 	ee22  SMC2862W-G v3 EZ Connect 802.11g Adapter [Intersil ISL3887]
 1264  Covidien Energy-based Devices
@@ -12713,6 +13277,7 @@
 126d  Bel Stewart
 126e  Strobe Data, Inc.
 126f  TwinMOS
+	0163  Storage device (2gB thumb drive)
 	1325  Mobile Disk
 	2168  Mobile Disk III
 	a006  G240 802.11bg
@@ -12752,7 +13317,7 @@
 1286  Marvell Semiconductor, Inc.
 	1fab  88W8338 [Libertas] 802.11g
 	2001  88W8388 802.11a/b/g WLAN
-	2006  88W8360 802.11n WLAN
+	2006  88W8362 802.11n WLAN
 	8001  BLOB boot loader firmware
 1291  Qualcomm Flarion Technologies, Inc. / Leadtek Research, Inc.
 	0010  FDM 2xxx Flash-OFDM modem
@@ -12772,7 +13337,9 @@
 12a7  Trendchip Technologies Corp.
 12ab  Honey Bee Electronic International Ltd.
 12b8  Zhejiang Xinya Electronic Technology Co., Ltd.
+12b9  E28
 12ba  Licensed by Sony Computer Entertainment America
+	00ff  Rocksmith Guitar Adapter
 	0100  RedOctane Guitar for PlayStation(R)3
 	0120  RedOctane Drum Kit for PlayStation(R)3
 	0200  Harmonix Guitar for PlayStation(R)3
@@ -12786,13 +13353,20 @@
 	1004  E220 (bis)
 	1009  U120
 	1010  ETS2252+ CDMA Fixed Wireless Terminal
+	1021  U8520
 	1035  U8120
 	1037  Ideos
 	1038  Ideos (debug mode)
 	1039  Ideos (tethering mode)
 	1406  E1750
 	140b  EC1260 Wireless Data Modem HSD USB Card
+	140c  E180v
+	1412  EC168c
+	1436  E173 3G Modem (modem-mode)
 	1446  E1552/E1800/E173 (HSPA modem)
+	1465  K3765 HSPA
+	14c3  K5005 Vodafone LTE/UMTS/GSM Modem/Networkcard
+	14c8  K5005 Vodafone LTE/UMTS/GSM MOdem/Networkcard
 	14c9  K3770 3G Modem
 	14d1  K3770 3G Modem (Mass Storage Mode)
 	14f1  Gobi 3000 HSPA+ Modem
@@ -12827,6 +13401,7 @@
 1307  Transcend Information, Inc.
 	0163  256MB/512MB/1GB Flash Drive
 	0165  2GB/4GB Flash Drive
+	0190  Ut190 8 GB Flash Drive with MicroSD reader
 	0310  SD/MicroSD CardReader [hama]
 	0330  63-in-1 Multi-Card Reader/Writer
 	0361  CR-75: 51-in-1 Card Reader/Writer [Sakar]
@@ -12838,6 +13413,8 @@
 1310  Roper
 	0001  Class 1 Bluetooth Dongle
 1312  ICS Electronics
+1313  ThorLabs
+	8070  PM100D
 131d  Natural Point
 	0155  TrackIR 3 Pro Head Tracker
 	0156  TrackIR 4 Pro Head Tracker
@@ -12882,6 +13459,7 @@
 	0304  EasiDock Ethernet
 1345  Sino Lite Technology Corp.
 	001c  Xbox Controller Hub
+	6006  Defender Wireless Controller
 1347  Moravian Instruments
 	0400  G2CCD USB 1.1 obsolete
 	0401  G2CCD-S with Sony ICX285 CCD
@@ -12926,6 +13504,7 @@
 	4251  WG111T (no firmware)
 	5f00  WPN111 RangeMax(TM) Wireless USB 2.0 Adapter
 	5f01  WPN111 (no firmware)
+	5f02  WPN111 (no firmware)
 	6e00  WPNT121 802.11g 240Mbps Wireless Adapter [Airgo AGN300]
 138a  Validity Sensors, Inc.
 	0001  VFS101 Fingerprint Reader
@@ -12933,6 +13512,7 @@
 	0007  VFS451 Fingerprint Reader
 	0008  VFS300 Fingerprint Reader
 	0011  VFS5011 Fingerprint Reader
+	0018  Fingerprint scanner
 	003c  VFS471 Fingerprint Reader
 138e  Jungo LTD
 	9000  Raisonance S.A. STM32 ARM evaluation board
@@ -12967,6 +13547,7 @@
 	0024  WUSBF54G v1.1 802.11bg
 	0026  WUSB54GSC v1 802.11g Adapter [Broadcom 4320 USB]
 	0028  WUSB200 802.11g Adapter [Ralink RT2671]
+	0029  WUSB300N 802.11bgn Wireless Adapter [Marvell 88W8362+88W8060]
 	002f  AE1000 v1 802.11n [Ralink RT3572]
 	0031  AM10 v1 802.11n [Ralink RT3072]
 	0039  AE1200 802.11bgn Wireless Adapter [Broadcom BCM43235]
@@ -12975,8 +13556,10 @@
 13b2  Alesis
 	0030  Multimix 8
 13b3  Nippon Dics Co., Ltd.
-13ba  Unknown
+13ba  PCPlay
+	0001  König Electronic CMP-KEYPAD12 Numeric Keypad
 	0017  PS/2 Keyboard+Mouse Adapter
+	0018  Barcode PCP-BCG4209
 13be  Ricoh Printing Systems, Ltd.
 13ca  JyeTai Precision Industrial Co., Ltd.
 13cf  Wisair Ltd.
@@ -13026,13 +13609,18 @@
 	3274  DVB-T Dongle [RTL2832U]
 	3282  DVB-T + GPS Minicard [RTL2832U]
 	3284  Wireless LAN USB Mini-Card
+	3304  Asus Integrated Bluetooth module [AR3011]
 	3306  Mediao 802.11n WLAN [Realtek RTL8191SU]
 	3315  Bluetooth module
+	3375  Atheros AR3012 Bluetooth 4.0 Adapter
 	5070  Webcam
 	5111  Integrated Webcam
 	5115  Integrated Webcam
 	5116  Integrated Webcam
+	5126  PC Cam
 	5702  UVC VGA Webcam
+	5710  UVC VGA Webcam
+	5716  UVC VGA Webcam
 	7020  DTV-DVB UDST7020BDA DVB-S Box(DVBS for MCE2005)
 	7022  DTV-DVB UDST7022BDA DVB-S Box(Without HID)
 13dc  ALEREON, INC.
@@ -13049,20 +13637,26 @@
 13ee  MosArt
 	0003  Optical Mouse
 13fd  Initio Corporation
+	0840  INIC-1618L SATA
 	0841  Samsung SE-T084M DVD-RW
 	1340  Hi-Speed USB to SATA Bridge
 	160f  RocketFish SATA Bridge [INIC-1611]
-	1640  ASUS SDRW-08D1S-U DVD-RW
-	1840  Shintaro SH23SDOCK Hard Drive Docker [INIC-1608L]
+	1640  INIC-1610L SATA Bridge
+	1840  INIC-1608 SATA bridge
 13fe  Kingston Technology Company Inc.
 	1a00  512MB/1GB Flash Drive
 	1a23  512MB Flash Drive
 	1d00  DataTraveler 2.0 1GB/4GB Flash Drive / Patriot Xporter 4GB Flash Drive
 	1e00  Flash Drive 2 GB [ICIDU 2 GB]
+	1e50  U3 Smart Drive
 	1f00  DataTraveler 2.0 4GB Flash Drive / Patriot Xporter 32GB (PEF32GUSB) Flash Drive
+	1f23  2Gb
 	2240  microSD card reader
 	3100  2/4 GB stick
+	3123  Verbatim STORE N GO 4GB
 	3800  Rage XT Flash Drive
+	3e00  Flash Drive
+	5100  Flash Drive
 1400  Axxion Group Corp.
 1402  Bowe Bell & Howell
 1403  Sitronix
@@ -13083,8 +13677,10 @@
 	2420  Expedite EU850D/EU860D/EU870D
 	4100  U727
 	4400  Ovation MC930D/MC950D
+	9010  Expedite E362
 	a001  Gobi Wireless Modem
 	a008  Gobi Wireless Modem (QDL mode)
+	b001  Ovation MC551
 1415  Nam Tai E&E Products Ltd. or OmniVision Technologies, Inc.
 	0000  Sony SingStar USBMIC
 	0020  Sony Wireless SingStar
@@ -13098,6 +13694,7 @@
 142b  Arbiter Systems, Inc.
 	03a5  933A Portable Power Sentinel
 1430  RedOctane
+	0150  wireless receiver for skylanders wii
 	4734  Guitar Hero4 hub
 	474b  Guitar Hero MIDI interface
 1431  Pertech Resources, Inc.
@@ -13112,7 +13709,9 @@
 1436  Denali Software, Inc.
 143c  Altek Corporation
 1443  Digilent
-	0007  CoolRunner-II CPLD Starter Kit
+	0007  Development board JTAG
+1446  X.J.GROUP
+	6a73  Stamps.com Model 510 5LB Scale
 1453  Radio Shack
 	4026  26-183 Serial Cable
 1456  Extending Wire & Cable Co., Ltd.
@@ -13133,6 +13732,7 @@
 	015a  WB-8300X 2MP Webcam
 	0161  15901 802.11bg Wireless Adapter [Realtek RTL8187L]
 	0167  Widescreen 3MP Webcam
+	0176  Isla Keyboard
 1460  Tatung Co.
 	9150  eHome Infrared Transceiver
 1461  Staccato Communications
@@ -13154,7 +13754,9 @@
 147e  Upek
 	1000  Biometric Touchchip/Touchstrip Fingerprint Sensor
 	1001  TCS5B Fingerprint sensor
+	1002  Biometric Touchchip/Touchstrip Fingerprint Sensor
 	2016  Biometric Touchchip/Touchstrip Fingerprint Sensor
+	2020  TouchChip Fingerprint Coprocessor (WBF advanced mode)
 	3000  TCS1C EIM/Cypress Fingerprint sensor
 	3001  TCS1C EIM/STM32 Fingerprint sensor
 147f  Hama GmbH & Co., KG
@@ -13181,12 +13783,15 @@
 	3072  RT3072 Wireless Adapter
 	3370  RT3370 Wireless Adapter
 	3572  RT3572 Wireless Adapter
-	3573  TEW-684UB
+	3573  RT3573 Wireless Adapter
 	5370  RT5370 Wireless Adapter
+	5372  RT5372 Wireless Adapter
+	5572  RT5572 Wireless Adapter
 	9020  RT2500USB Wireless Adapter
 	9021  RT2501USB Wireless Adapter
 1491  Futronic Technology Co. Ltd.
 	0020  FS81 Fingerprint Scanner Module
+1493  Suunto
 1497  Panstrong Company Ltd.
 1498  Microtek International Inc.
 	a090  DVB-T Tuner
@@ -13218,6 +13823,7 @@
 	3c25  DrayTek Vigor N61 802.11bgn Wireless Adapter [Ralink RT2870]
 	3c27  Airlink101 AWLL6070 802.11bgn Wireless Adapter [Ralink RT2770]
 	3c28  Conceptronic C300RU v2 802.11bgn Wireless Adapter [Ralink RT2770]
+	3c2b  NEC NP02LM 802.11bgn Wireless Adapter [Ralink RT3072]
 	3c2c  Keebox W150NU 802.11bgn Wireless Adapter [Ralink RT3070]
 14c0  Rockwell Automation, Inc.
 14c2  Gemlight Computer, Ltd
@@ -13227,6 +13833,7 @@
 14cd  Super Top
 	121c  microSD card reader
 	123a  SD/MMC/RS-MMC Card Reader
+	125c  SD card reader
 	127b  SDXC Reader
 	6116  M6116 SATA Bridge
 	6600  USB 2.0 IDE DEVICE
@@ -13245,6 +13852,7 @@
 	ab11  GU-1000T
 	ab13  GW-US54Mini 802.11bg
 14ed  Shure Inc.
+	29b6  X2u Adapter
 14f7  TechniSat Digital GmbH
 	0001  SkyStar 2 HD CI
 	0002  SkyStar 2 HD CI
@@ -13275,7 +13883,9 @@
 	0201  YAP Phone
 1529  UBIQUAM Co., Ltd.
 	3100  CDMA 1xRTT USB Modem (U-100/105/200/300/520)
+152a  Thesycon Systemsoftware & Consulting GmbH
 152d  JMicron Technology Corp. / JMicron USA Technology Corp.
+	0539  JMS539 SuperSpeed SATA II 3.0G Bridge
 	2329  JM20329 SATA Bridge
 	2335  ATA/ATAPI Bridge
 	2336  Hard Disk Drive
@@ -13291,22 +13901,32 @@
 	0001  RZ01-020300 Optical Mouse [Diamondback]
 	0003  Krait Mouse
 	0007  DeathAdder Mouse
+	0013  Orochi mouse
 	0016  DeathAdder Mouse
-	0017  Imperator Mouse
+	0017  RZ01-0035 Laser Gaming Mouse [Imperator]
 	001c  RZ01-0036 Optical Gaming Mouse [Abyssus]
+	0024  Razer Mamba
+	0036  RZ01-0075, Gaming Mouse [Naga Hex]
 	0101  Copperhead Mouse
 	0102  Tarantula Keyboard
 	0109  Lycosa Keyboard
+	0300  RZ06-0063 Motion Sensing Controllers [Hydra]
 1546  U-Blox AG
+1547  SG Intec Ltd & Co KG
+	1000  SG-Lock[U2]
 154a  Celectronic GmbH
 	8180  CARD STAR/medic2
 154b  PNY
 	0010  USB 2.0 Flash Drive
+	004d  8 GB Flash Drive
+	0057  32GB Micro Slide Attache Flash Drive
 	6545  FD Device
 154d  ConnectCounty Holdings Berhad
 154e  D&M Holdings, Inc. (Denon/Marantz)
 	3000  Marantz RC9001 Remote Control
+154f  SNBC CO., Ltd
 1554  Prolink Microsystems Corp.
+	5010  PV-D231U(RN)-F [PixelView PlayTV SBTVD Full-Seg]
 1557  OQO
 	0002  model 01 WiFi interface
 	0003  model 01 Bluetooth interface
@@ -13322,10 +13942,16 @@
 	3007  TEW-444UB EU (no firmware)
 	300a  TEW-429UB 802.11bg
 	300b  TEW-429UB 802.11bg
+	300c  TEW-429UF A1 802.11bg Wireless Adapter [ZyDAS ZD1211B]
 	300d  TEW-429UB C1 802.11bg
+	300e  SMC SMCWUSB-N 802.11bgn 2x2:2 Wireless Adapter [Ralink RT2870]
+	3012  TEW-604UB 802.11bg Wireless Adapter [Atheros AR5523]
+	3013  TEW-645UB 802.11bgn 1x2:2 Wireless Adapter [Ralink RT2770]
 	3204  Allnet ALL0298 v2 802.11bg
 	3205  Allnet ALL0283 [AR5523]
 	3206  Allnet ALL0283 [AR5523](no firmware)
+	3207  TEW-509UB A1 802.11abg Wireless Adapter [ZyDAS ZD1211]
+	3208  TEW-509UB 1.1R 802.11abg Wireless Adapter
 1582  Fiberline
 	6003  WL-430U 802.11bg
 1587  SMA Technologie AG
@@ -13334,6 +13960,7 @@
 	0820  SmartPocket Class Device
 1598  Kunshan Guoji Electronics Co., Ltd.
 15a2  Freescale Semiconductor, Inc.
+	003b  USB2CAN Application for ColdFire DEMOJM board
 	0042  OSBDM - Debug Port
 	004f  i.MX28 SystemOnChip in RecoveryMode
 	0052  i.MX50 SystemOnChip in RecoveryMode
@@ -13346,6 +13973,7 @@
 	9016  AF9015 DVB-T USB2.0 stick
 15a8  Teams Power Limited
 15a9  Gemtek
+	0002  SparkLAN WL-682 802.11bg Wireless Adapter [Intersil ISL3887]
 	0004  WUBR-177G [Ralink RT2571W]
 	0006  Wireless 11n USB Adapter
 	0010  802.11n USB Wireless Card
@@ -13356,6 +13984,7 @@
 	0003  OpenOCD JTAG
 	0004  OpenOCD JTAG TINY
 	002a  ARM-USB-TINY-H JTAG interface
+	002b  ARM-USB-OCD-H JTAG+RS232
 15c0  XL Imaging
 	0001  2M pixel Microscope Camera
 	0002  3M pixel Microscope Camera
@@ -13381,6 +14010,11 @@
 	1001  DigistimSP (warm)
 	1002  DigimapSP USB (cold)
 	1003  DigimapSP USB (warm)
+	1004  DigistimSP (cold)
+	1005  DigistimSP (warm)
+	1100  Odyssee (cold)
+	1101  Odyssee (warm)
+	1200  Digispy
 15c8  KTF Technologies
 	3201  EVER EV-W100/EV-W250
 15c9  D-Box Technologies
@@ -13515,6 +14149,8 @@
 	1a17  Agilent Technologies (E6473)
 160a  VIA Technologies, Inc.
 	3184  VIA VNT-6656 [WiFi 802.11b/g USB Dongle]
+160e  INRO
+	0001  E2USBKey
 1614  Amoi Electronics
 	0404  WMA9109 UMTS Phone
 	0600  Vodafone VDA GPS / Toschiba Protege G710
@@ -13526,6 +14162,7 @@
 162f  WiQuest Communications, Inc.
 1630  2Wire, Inc.
 	0005  802.11g Wireless Adapter [Intersil ISL3886]
+	0011  PC Port 10 Mps Adapter
 	ff81  802.11b Wireless Adapter [Lucent/Agere Hermes I]
 1631  Good Way Technology
 	6200  GWUSB2E
@@ -13566,6 +14203,8 @@
 165b  Frontier Design Group
 	8101  Tranzport Control Surface
 	fad1  Alphatrack Control Surface
+165c  Kondo Kagaku
+	0002  Serial Adapter
 1660  Creatix Polymedia GmbH
 1668  Actiontec Electronics, Inc. [hex]
 	0009  Gateway
